### Signal

# Jsonrpc Client::handle-call

since: 3.26

#### Declaration

    gboolean
    handle_call (
      JsonrpcClient* self,
      gchar* method,
      GVariant* id,
      GVariant* params,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when an RPC has been received from the peer we are connected to. Return `TRUE` if you have handled this message, even asynchronously. If no handler has returned `TRUE` an error will be synthesized.

If you handle the message, you are responsible for replying to the peer in a timely manner using `jsonrpc_client_reply()` or `jsonrpc_client_reply_async()`.

Additionally, since 3.28 you may connect to the “detail” of this signal to handle a specific method call. Use the method name as the detail of the signal.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed
Available since: 3.26

#### Parameters

`method`

  Type: `gchar*`

  The method name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`id`

  Type: `GVariant`

  The “id” field of the JSONRPC message.

  The data is owned by the caller of the function.

`params`

  Type: `GVariant`

  The “params” field of the JSONRPC message.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.